%define anolis_release 1

%define __jar_repack 0

Name:     sonarqube-scm-git
Version:  1.12.1.2064
Release:  %{anolis_release}%{?dist}.harbottle
Summary:  SonarQube Git SCM plugin
Group:    Applications/System
License:  LGPL-3.0
Source0:  https://binaries.sonarsource.com/Distribution/sonar-scm-git-plugin/sonar-scm-git-plugin-%{version}.jar
Autoprov: no

%description
Git SCM plugin for SonarQube.

%prep

%install
install -d -m 755 $RPM_BUILD_ROOT%{_var}/lib/sonarqube/extensions/plugins
mv %{SOURCE0} $RPM_BUILD_ROOT%{_var}/lib/sonarqube/extensions/plugins

%pre
rm -f %{_var}/lib/sonarqube/extensions/plugins/sonar-scm-git-plugin-*.jar
getent group sonarqube >/dev/null || groupadd -f -r sonarqube
getent passwd sonarqube >/dev/null || useradd -r -g sonarqube -d /usr/share/sonarqube -s /sbin/nologin -c "SonarQube user" sonarqube
exit 0

%files
%attr(0644,sonarqube,sonarqube) %{_var}/lib/sonarqube/extensions/plugins/sonar-scm-git-plugin-%{version}.jar

%changelog
* Tue Aug 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.12.1.2064-1
- Init upstream from version 1.12.1.2064
